Page MenuHomePhabricator

Investigate copyright status of STL format
Closed, ResolvedPublic

Description

Whether STL https://en.wikipedia.org/wiki/STL_(file_format) is an "open format" (i.e. compatible with publication and redistribution under open licenses without restriction) isn't clear. The specification of the format was published in a book in October 1989: http://www.fabbers.com/tech/STL_Format

It is unclear whether the format is subject to patents.

The owner of the book's rights is likely to still be 3D Systems, a publicly traded US company: https://en.wikipedia.org/wiki/3D_Systems

We need to answer whether the format can be freely used on Wikimedia Commons in the same manner we do for all the formats we currently support.

Event Timeline

At a glance (and by no means is my googling anything like a patent discovery) I don't see any patents for the format itself. And its specification dating back to a book published by 3D systems in 1989, any claims might have expired. I've emailed Andrew Johnson, chief legal officer at 3D systems to see if he could shed some light on the matter.

Gilles claimed this task.Aug 17 2016, 12:04 PM

STL an open format, as listed in some references here (http://www.freecadweb.org) . Hmm, what kind of (legal?) document do we need to find in order to prove so? There is an explanation here, http://opensourceecology.org/wiki/STL but references aren't great.

STL was clearly created by the 3D Systems company, I think to declare it an open format, one needs to establish that the original authors of the format can't have any legal claim on it today if they wanted to. That would be the absolute safest scenario, making it an open format no matter what.

Chances are that things that would make it possible for them to claim copyright or licensing fees have expired, but I'm no expert. The same way that all the GIF patents from 1984 expired in 2004, my naive guess would be that STL is fine since it was created in 1989. But the format was created in a different way, its specification published in a book, not through patents, from what I can see. That might have different implications.

It clearly seems like they're not trying to do anything evil with the file format, they've let everyone use it freely, including hardware competitors. But the real question is whether they legally could have a claim on it should they change their mind. I think that's the difference between being a truly open format and not being one.

Revent added a subscriber: Revent.Aug 17 2016, 12:38 PM

This subject was mentioned at https://commons.wikimedia.org/wiki/Commons:Village_pump/Copyright#Copyright_question_about_file_format by John Cummings.

I replied there, but my opinions are in no way those of a lawyer.

@Gilles Thanks very much, this, I knew about GIF and assumed something similar but as you say its difficult to know. I have some contacts in the 3D printing world (.stl is the standard file format for 3D printing) so will do some more research and post it here.

Yes I think 3D Systems would be happy for Wikimedia to use the file format, I think the opposition would be with the rules on Commons.

Would a WMF lawyer be able to look into it?

I plan to ask the WMF legal team if they can look into it once I've gathered enough information.

Niharika removed a subscriber: Niharika.Aug 18 2016, 6:20 AM

@Gilles I found the patent for the .stl file type from 1984 :)

https://www.google.com/patents/US4575330

There is a list of legal events at the bottom of the page also which should be helpful.

Are you sure that's the right one? It looks like a patent for a type of 3d printer.

Yeah, I don't think that covers the file format. If it does, however, the patent would have expired about a decade ago.

Ah, false alarm, sorry, I'll keep looking

Hi everyone,

Thanks for your investigations into this topic. I have talked to @Gilles offline about this and Legal will be looking into this issue so perhaps everyone can hold off on further research on this for now.

Zhou

One last thing, (Adrian Bowyer is the founder of the RepRap project)

https://twitter.com/adrianbowyer/status/766566439541051393

'Any patent must predate 1988 when the spec was published so even it did exist, it will have expired'

ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Sep 1 2016, 7:01 PM
Mrjohncummings added a comment.EditedSep 13 2016, 9:34 AM

@ZhouZ @Giles is it also possible to look at the copyright status of the .PLY and .OBJ formats? They are very used 3D formats and are both over 20 years old, having a decision on these formats would allow other Wikimedia groups to work on supporting them.

Should this be a separate task or simply change the name of this task to include these file types?

Also do you know if there was a specific reason that these formats weren't originally considered?

Please make separate tasks

Mrjohncummings added a comment.EditedSep 13 2016, 10:12 AM

@Gilles thanks, done

https://phabricator.wikimedia.org/T145499

https://phabricator.wikimedia.org/T145502

Do you know if these file formats were considered before when considering which 3D file formats to support?

ZhouZ added a comment.EditedFeb 7 2017, 7:07 PM

After an investigation, I believe legally this is a free file format as required under Commons policy.

Jdforrester-WMF closed this task as Resolved.Feb 7 2017, 7:08 PM
ZhouZ reopened this task as Open.Feb 7 2017, 7:08 PM
ZhouZ closed this task as Resolved.
ClemFlip removed a subscriber: ClemFlip.Feb 17 2017, 9:16 AM